Remove a member from a Facebook custom audience
http
DELETE https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/{audienceId}/memberAuthorization
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
Authorization | string | Yes | Bearer token generated from the Leadway portal. See Authentication. | |
Version | string | Yes | 2021-07-28 | API version. |
Path parameters
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
audienceId | string | Yes | 23851234567890123 | Custom audience identifier |
Body
| Name | Type | Required | Example | Description |
|---|---|---|---|---|
locationId | string | Yes | loc_abc123 | Account identifier |
contactId | string | Yes | contact_123 | Contact identifier |
fbAdAccountId | string | No | act_123456 | Facebook ad account ID |
Responses
200 - Response
400 - Bad Request
json
{}422 - Unprocessable Entity
json
{}Example
curl -X DELETE 'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member' \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Version: 2021-07-28' \
-H 'Content-Type: application/json' \
-d '{
"locationId": "loc_abc123",
"contactId": "contact_123",
"fbAdAccountId": "act_123456"
}'const response = await fetch('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member', {
method: 'DELETE',
headers: {
Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
Version: '2021-07-28',
'Content-Type': 'application/json',
},
body: JSON.stringify({"locationId": "loc_abc123", "contactId": "contact_123", "fbAdAccountId": "act_123456"}),
});
const data = await response.json();import os, requests
response = requests.request(
'DELETE',
'https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member',
headers={
'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
'Version': '2021-07-28',
'Content-Type': 'application/json',
},
json={"locationId": "loc_abc123", "contactId": "contact_123", "fbAdAccountId": "act_123456"},
)
data = response.json()<?php
$ch = curl_init('https://services.leadconnectorhq.com/ad-publishing/facebook/custom-audience/YOUR_audienceId/member');
curl_setopt_array($ch, [
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'DELETE',
CURLOPT_HTTPHEADER => [
'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
'Version: 2021-07-28',
'Content-Type: application/json',
],
CURLOPT_POSTFIELDS => json_encode({'locationId': 'loc_abc123', 'contactId': 'contact_123', 'fbAdAccountId': 'act_123456'}),
]);
$data = json_decode(curl_exec($ch), true);